QGIS Application - Bug report #21797
parameter type error in SAGA Gaussian Filter
2019-04-08 06:12 PM - Garth Fletcher

Status: Closed

Priority: Normal
Assignee: Victor Olaya
Category: Processing/SAGA

Affected QGIS version:3.6.1
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: Yes
Resolution:

Copied to github as #: 29612

Description

SAGA Gaussian Filter parameter window only accepts type Integer for "Standard Deviation" field, but should accept type Real.

Problem seems to be in 4th line of:

/Applications/QGIS_3_6_1-1.app/Contents/Resources/python/plugins/processing/algs/saga/description/GaussianFilter.txt:

incorrectly reads as:

QgsProcessingParameterNumber|SIGMA|Standard Deviation|QgsProcessingParameterNumber.Integer|1|False|None|None

which should instead be:

QgsProcessingParameterNumber|SIGMA|Standard Deviation|QgsProcessingParameterNumber.Double|1.00|False|None|None

Associated revisions

Revision 83e6dd3e - 2019-05-23 11:46 AM - Victor Olaya

[processing] fixed description of SAGA gaussian filter algorithm

Fixes #21797

History

#1 - 2019-04-08 08:39 PM - Garth Fletcher

Proof of concept: editing /Applications/QGIS_3_6_1-1.app/Contents/Resources/python/plugins/processing/algs/saga/description/GaussianFilter.txt to

change line 4 to

QgsProcessingParameterNumber|SIGMA|Standard Deviation|QgsProcessingParameterNumber.Double|1.00|False|None|None

fixes the problem and allows real number input.

Of course any new installation will revert to the original Integer setting, so getting this fixed in the distribution would be appreciated.

#2 - 2019-04-10 05:27 PM - Giovanni Manghi
- Operating System deleted (Mac OS X 10.12.6)
- Assignee set to Giovanni Manghi

- Status changed from Open to Feedback

Garth Fletcher wrote:

Proof of concept: editing /Applications/QGIS_3_6_1-1.app/Contents/Resources/python/plugins/processing/algs/saga/description/GaussianfFilter.txt

to change line 4 to
QgsProcessingParameterNumber/SIGMA|Standard Deviation|QgsProcessingParameterNumber.Double/1.00/False[None/None
fixes the problem and allows real number input.
Of course any new installation will revert to the original Integer setting, so getting this fixed in the distribution would be appreciated.

Can you do a Pull Request on GitHub with this fix?

#3 - 2019-04-10 06:29 PM - Garth Fletcher

Unfortunately doing a Pull Request" is way above my knowledge level. | would greatly appreciate some competent person installing my suggested fix.

#4 - 2019-05-21 09:37 AM - Victor Olaya

- Assignee changed from Giovanni Manghi to Victor Olaya

#5 - 2019-05-23 11:48 AM - Victor Olaya

- % Done changed from 0 to 100
- Status changed from Feedback to Closed

Applied in changeset commit:qgis|83e6dd3efe302de4749d68be23217d8dd4e667d2.
